=head1 NAME

B<mkvm> - Creates HMC- and IVM-managed partitions.

=head1 SYNOPSIS

I<mkvm [-h| --help]>

I<mkvm [-v| --version]>

I<mkvm [-V| --verbose] singlenode -i id -n noderange>

I<mkvm [-V| --verbose] srccec -c destcec>


=head1 DESCRIPTION

The mkvm command creates new partition(s) with the same profile/resources as the partition specified by singlenode. The -i and -n flags specify the starting numeric partition number and the noderange for the newly created partitions, respectively. The second form of this command duplicates all the partitions associated with srccec to destcec. Note that srcdest and destcec must be associated with the same HMC. Newly created partitions are automatically added to the xCAT database.

=head1 OPTIONS


B<-h>          Display usage message.

B<-c>          Copy partitions from srccec to destcec on single HMC.

B<-i>          Starting numeric id of the newly created partitions.

B<-n>          New partition name.

B<-v>          Command Version.

B<-V>          Verbose output.


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To create a new partition lpar5 based on the profile/resources of lpar4, enter:

I<mkvm lpar4 -i 5 -n lpar5>

Output is similar to:

lpar5: Success


2. To create new partitions lpar5-lpar8 based on the profile/resources of lpar4, enter:

I<mkvm lpar4 -i 5 -n lpar5-lpar8>

Output is similar to:

lpar5: Success

lpar6: Success

lpar7: Success

lpar8: Success


3. To duplicate all the partitions associated with cec01 on cec02, enter:

I<mkvm cec01 -c cec02>

Output is similar to:

cec01: Success

=head1 FILES

/opt/xcat/bin/mkvm


=head1 SEE ALSO

L<chvm(1)|chvm.1>, L<lsvm(1)|lsvm.1>, L<rmvm(1)|rmvm.1>




